Index: /trunk/src/wp-includes/js/media/views/label.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/label.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/label.js	(revision 31935)
@@ -7,8 +7,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Label;
-
-Label = View.extend({
+var Label = wp.media.View.extend({
 	tagName: 'label',
 	className: 'screen-reader-text',
Index: /trunk/src/wp-includes/js/media/views/media-frame.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/media-frame.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/media-frame.js	(revision 31935)
@@ -13,12 +13,5 @@
  * @mixes wp.media.controller.StateMachine
  */
-var View = require( './view.js' ),
-	Frame = require( './frame.js' ),
-	Modal = require( './modal.js' ),
-	UploaderWindow = require( './uploader/window.js' ),
-	Menu = require( './menu.js' ),
-	Toolbar = require( './toolbar.js' ),
-	Router = require( './router.js' ),
-	Iframe = require( './iframe.js' ),
+var Frame = wp.media.view.Frame,
 	$ = jQuery,
 	MediaFrame;
@@ -50,5 +43,5 @@
 		// Initialize modal container view.
 		if ( this.options.modal ) {
-			this.modal = new Modal({
+			this.modal = new wp.media.view.Modal({
 				controller: this,
 				title:      this.options.title
@@ -66,5 +59,5 @@
 		// Initialize window-wide uploader.
 		if ( this.options.uploader ) {
-			this.uploader = new UploaderWindow({
+			this.uploader = new wp.media.view.UploaderWindow({
 				controller: this,
 				uploader: {
@@ -107,5 +100,5 @@
 	 */
 	createTitle: function( title ) {
-		title.view = new View({
+		title.view = new wp.media.View({
 			controller: this,
 			tagName: 'h1'
@@ -117,5 +110,5 @@
 	 */
 	createMenu: function( menu ) {
-		menu.view = new Menu({
+		menu.view = new wp.media.view.Menu({
 			controller: this
 		});
@@ -131,5 +124,5 @@
 	 */
 	createToolbar: function( toolbar ) {
-		toolbar.view = new Toolbar({
+		toolbar.view = new wp.media.view.Toolbar({
 			controller: this
 		});
@@ -140,5 +133,5 @@
 	 */
 	createRouter: function( router ) {
-		router.view = new Router({
+		router.view = new wp.media.view.Router({
 			controller: this
 		});
@@ -187,5 +180,5 @@
 	iframeContent: function( content ) {
 		this.$el.addClass('hide-toolbar');
-		content.view = new Iframe({
+		content.view = new wp.media.view.Iframe({
 			controller: this
 		});
Index: /trunk/src/wp-includes/js/media/views/menu-item.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/menu-item.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/menu-item.js	(revision 31935)
@@ -9,9 +9,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	MenuItem;
 
-MenuItem = View.extend({
+MenuItem = wp.media.View.extend({
 	tagName:   'a',
 	className: 'media-menu-item',
Index: /trunk/src/wp-includes/js/media/views/menu.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/menu.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/menu.js	(revision 31935)
@@ -8,6 +8,6 @@
  * @augments Backbone.View
  */
-var MenuItem = require( './menu-item.js' ),
-	PriorityList = require( './priority-list.js' ),
+var MenuItem = wp.media.view.MenuItem,
+	PriorityList = wp.media.view.PriorityList,
 	Menu;
 
Index: /trunk/src/wp-includes/js/media/views/modal.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/modal.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/modal.js	(revision 31935)
@@ -11,10 +11,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	FocusManager = require( './focus-manager.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	Modal;
 
-Modal = View.extend({
+Modal = wp.media.View.extend({
 	tagName:  'div',
 	template: wp.template('media-modal'),
@@ -37,5 +35,5 @@
 		});
 
-		this.focusManager = new FocusManager({
+		this.focusManager = new wp.media.view.FocusManager({
 			el: this.el
 		});
Index: /trunk/src/wp-includes/js/media/views/priority-list.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/priority-list.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/priority-list.js	(revision 31935)
@@ -9,8 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	PriorityList;
-
-PriorityList = View.extend({
+var PriorityList = wp.media.View.extend({
 	tagName:   'div',
 
@@ -94,5 +91,5 @@
 	 */
 	toView: function( options ) {
-		return new View( options );
+		return new wp.media.View( options );
 	}
 });
Index: /trunk/src/wp-includes/js/media/views/router-item.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/router-item.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/router-item.js	(revision 31935)
@@ -8,8 +8,5 @@
  * @augments Backbone.View
  */
-var MenuItem = require( './menu-item.js' ),
-	RouterItem;
-
-RouterItem = MenuItem.extend({
+var RouterItem = wp.media.view.MenuItem.extend({
 	/**
 	 * On click handler to activate the content region's corresponding mode.
Index: /trunk/src/wp-includes/js/media/views/router.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/router.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/router.js	(revision 31935)
@@ -1,2 +1,4 @@
+/*globals wp */
+
 /**
  * wp.media.view.Router
@@ -9,6 +11,5 @@
  * @augments Backbone.View
  */
-var Menu = require( './menu.js' ),
-	RouterItem = require( './router-item.js' ),
+var Menu = wp.media.view.Menu,
 	Router;
 
@@ -17,5 +18,5 @@
 	className: 'media-router',
 	property:  'contentMode',
-	ItemView:  RouterItem,
+	ItemView:  wp.media.view.RouterItem,
 	region:    'router',
 
Index: /trunk/src/wp-includes/js/media/views/search.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/search.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/search.js	(revision 31935)
@@ -9,9 +9,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Search;
 
-Search = View.extend({
+Search = wp.media.View.extend({
 	tagName:   'input',
 	className: 'search',
Index: /trunk/src/wp-includes/js/media/views/selection.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/selection.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/selection.js	(revision 31935)
@@ -9,10 +9,8 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	AttachmentsSelection = require( './attachments/selection.js' ),
-	l10n = wp.media.view.l10n,
+var l10n = wp.media.view.l10n,
 	Selection;
 
-Selection = View.extend({
+Selection = wp.media.View.extend({
 	tagName:   'div',
 	className: 'media-selection',
@@ -33,5 +31,5 @@
 		 * @member {wp.media.view.Attachments.Selection}
 		 */
-		this.attachments = new AttachmentsSelection({
+		this.attachments = new wp.media.view.Attachments.Selection({
 			controller: this.controller,
 			collection: this.collection,
Index: /trunk/src/wp-includes/js/media/views/settings.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/settings.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/settings.js	(revision 31935)
@@ -9,5 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
+var View = wp.media.View,
 	$ = Backbone.$,
 	Settings;
Index: /trunk/src/wp-includes/js/media/views/settings/attachment-display.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/settings/attachment-display.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/settings/attachment-display.js	(revision 31935)
@@ -10,5 +10,5 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
+var Settings = wp.media.view.Settings,
 	AttachmentDisplay;
 
Index: /trunk/src/wp-includes/js/media/views/settings/gallery.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/settings/gallery.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/settings/gallery.js	(revision 31935)
@@ -10,8 +10,5 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
-	Gallery;
-
-Gallery = Settings.extend({
+var Gallery = wp.media.view.Settings.extend({
 	className: 'collection-settings gallery-settings',
 	template:  wp.template('gallery-settings')
Index: /trunk/src/wp-includes/js/media/views/settings/playlist.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/settings/playlist.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/settings/playlist.js	(revision 31935)
@@ -10,8 +10,5 @@
  * @augments Backbone.View
  */
-var Settings = require( '../settings.js' ),
-	Playlist;
-
-Playlist = Settings.extend({
+var Playlist = wp.media.view.Settings.extend({
 	className: 'collection-settings playlist-settings',
 	template:  wp.template('playlist-settings')
Index: /trunk/src/wp-includes/js/media/views/sidebar.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/sidebar.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/sidebar.js	(revision 31935)
@@ -8,8 +8,5 @@
  * @augments Backbone.View
  */
-var PriorityList = require( './priority-list.js' ),
-	Sidebar;
-
-Sidebar = PriorityList.extend({
+var Sidebar = wp.media.view.PriorityList.extend({
 	className: 'media-sidebar'
 });
Index: /trunk/src/wp-includes/js/media/views/spinner.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/spinner.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/spinner.js	(revision 31935)
@@ -9,8 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Spinner;
-
-Spinner = View.extend({
+var Spinner = wp.media.View.extend({
 	tagName:   'span',
 	className: 'spinner',
Index: /trunk/src/wp-includes/js/media/views/toolbar.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/toolbar.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/toolbar.js	(revision 31935)
@@ -12,7 +12,5 @@
  * @augments Backbone.View
  */
-var View = require( './view.js' ),
-	Button = require( './button.js' ),
-	PriorityList = require( './priority-list.js' ),
+var View = wp.media.View,
 	Toolbar;
 
@@ -29,6 +27,6 @@
 
 		// The toolbar is composed of two `PriorityList` views.
-		this.primary   = new PriorityList();
-		this.secondary = new PriorityList();
+		this.primary   = new wp.media.view.PriorityList();
+		this.secondary = new wp.media.view.PriorityList();
 		this.primary.$el.addClass('media-toolbar-primary search-form');
 		this.secondary.$el.addClass('media-toolbar-secondary');
@@ -92,5 +90,5 @@
 			if ( ! ( view instanceof Backbone.View ) ) {
 				view.classes = [ 'media-button-' + id ].concat( view.classes || [] );
-				view = new Button( view ).render();
+				view = new wp.media.view.Button( view ).render();
 			}
 
Index: /trunk/src/wp-includes/js/media/views/toolbar/embed.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/toolbar/embed.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/toolbar/embed.js	(revision 31935)
@@ -11,5 +11,5 @@
  * @augments Backbone.View
  */
-var Select = require( './select.js' ),
+var Select = wp.media.view.Toolbar.Select,
 	l10n = wp.media.view.l10n,
 	Embed;
Index: /trunk/src/wp-includes/js/media/views/toolbar/select.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/toolbar/select.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/toolbar/select.js	(revision 31935)
@@ -10,5 +10,5 @@
  * @augments Backbone.View
  */
-var Toolbar = require( '../toolbar.js' ),
+var Toolbar = wp.media.view.Toolbar,
 	l10n = wp.media.view.l10n,
 	Select;
Index: /trunk/src/wp-includes/js/media/views/uploader/editor.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/uploader/editor.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/uploader/editor.js	(revision 31935)
@@ -12,5 +12,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
+var View = wp.media.View,
 	l10n = wp.media.view.l10n,
 	$ = jQuery,
Index: /trunk/src/wp-includes/js/media/views/uploader/inline.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/uploader/inline.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/uploader/inline.js	(revision 31935)
@@ -11,6 +11,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
-	UploaderStatus = require( './status.js' ),
+var View = wp.media.View,
 	UploaderInline;
 
@@ -40,5 +39,5 @@
 
 		if ( this.options.status ) {
-			this.views.set( '.upload-inline-status', new UploaderStatus({
+			this.views.set( '.upload-inline-status', new wp.media.view.UploaderStatus({
 				controller: this.controller
 			}) );
Index: /trunk/src/wp-includes/js/media/views/uploader/status-error.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/uploader/status-error.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/uploader/status-error.js	(revision 31935)
@@ -9,8 +9,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
-	UploaderStatusError;
-
-UploaderStatusError = View.extend({
+var UploaderStatusError = wp.media.View.extend({
 	className: 'upload-error',
 	template:  wp.template('uploader-status-error')
Index: /trunk/src/wp-includes/js/media/views/uploader/status.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/uploader/status.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/uploader/status.js	(revision 31935)
@@ -11,6 +11,5 @@
  * @augments Backbone.View
  */
-var View = require( '../view.js' ),
-	UploaderStatusError = require( './status-error.js' ),
+var View = wp.media.View,
 	UploaderStatus;
 
@@ -114,5 +113,5 @@
 	 */
 	error: function( error ) {
-		this.views.add( '.upload-errors', new UploaderStatusError({
+		this.views.add( '.upload-errors', new wp.media.view.UploaderStatusError({
 			filename: this.filename( error.get('file').name ),
 			message:  error.get('message')
Index: /trunk/src/wp-includes/js/media/views/uploader/window.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/uploader/window.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/uploader/window.js	(revision 31935)
@@ -17,9 +17,8 @@
  * @param {object} [options.uploader.params]
  */
-var View = require( '../view.js' ),
-	$ = jQuery,
+var $ = jQuery,
 	UploaderWindow;
 
-UploaderWindow = View.extend({
+UploaderWindow = wp.media.View.extend({
 	tagName:   'div',
 	className: 'uploader-window',
Index: /trunk/src/wp-includes/js/media/views/video-details.js
===================================================================
--- /trunk/src/wp-includes/js/media/views/video-details.js	(revision 31934)
+++ /trunk/src/wp-includes/js/media/views/video-details.js	(revision 31935)
@@ -12,5 +12,5 @@
  * @augments Backbone.View
  */
-var MediaDetails = require( './media-details' ),
+var MediaDetails = wp.media.view.MediaDetails,
 	VideoDetails;
 
